<script lang="ts">
  import Dot from "./Dot.svg.svelte";
  import { EArea } from "../enums/EArea";
  import { areaStore } from '../stores';

  let area: EArea;

  areaStore.subscribe(value => area = value);
</script>

<section class="grid gap-12 sm:gap-14 lg:gap-16 p-16 sm:p-20 lg:p-24 xl:p-28 2xl:p-32">
  <h1 class="duration-200 text-xl sm:text-2xl lg:text-3xl xl:text-4xl 2xl:text-5xl font-extrabold text-center">
    Наши контакты для связи
    <span class="inline-block"><Dot {area}/></span>
  </h1>
  <section class="grid md:grid-cols-3 lg:justify-items-center gap-12 sm:gap-14 lg:gap-16 text-sm sm:text-base lg:text-lg xl:text-xl 2xl:text-2xl">
    <article>
      <p><strong>Почта</strong></p>
      <a href="mailto:admin@41t.org">admin@41t.org</a>
    </article>
    <article>
      <p><strong>Телефон</strong></p>
      <a href="tel:+74951474170" class="whitespace-nowrap">+7 [495] 147 417 0</a>
    </article>
    <article>
      <p><strong>Ссылки</strong></p>
      <a href="https://discord.gg/4SpZ3ymxMg">Discord</a>
      <a href="https://map.41t.org">Map</a>
    </article>
  </section>
</section>